Description

An error appears when we export a DBF table after being joined, to H2 database.

Log file is attached.

Cuando exportamos una tabla dbf unida a base de datos H2 sale un error y no se exporta.

Adjunto gvSIG.log

Associated revisions
Revision 43871 - 06/22/2018 10:19 AM - Joaquín  del Cerro Murciano

refs #4900. Corregido para que al hacer el join, cuando se encuentre una columna de tipo geometria, copie tambien el GeometryType.

History
#1 - 06/21/2018 11:56 AM - Joaquín  del Cerro Murciano
- Target version set to 2.5.0-2930-final
- Assignee set to Joaquín  del Cerro Murciano

#2 - 06/22/2018 10:27 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.4.1-2855-RC1 (rev. org.gvsig.desktop-2.0.225)
- Status changed from New to Fixed
- File gvSIG-desktop-2.4.1-org.gvsig.daltransform.app.join-2.0.225-SNAPSHOT-2770-devel-all-all-j1_7.gvspkg added

Cuando se hacia una union de una capa con una tabla dbf, y se añadia a la tabla un campo geometria no se copiaba el tipo de geometria, y al tratar
de exportarla fallaba por que se lo encontraba sin inicializar.

Se ha corregido el join para que se lleve el tipo de geometria al hacer el join.

Podria probarse en gvSIG 2.4.0 instalando el plugin adjunto:

    -  attachment:gvSIG-desktop-2.4.1-org.gvsig.daltransform.app.join-2.0.225-SNAPSHOT-2770-devel-all-all-j1_7.gvspkg
#3 - 02/18/2019 04:58 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 58.6 KB 06/18/2018 Mario Carrera
gvSIG.log.1 512 KB 06/18/2018 Mario Carrera
gvSIG-desktop-2.4.1-org.gvsig.daltransform.app.join-2.0.225-SNAPSHOT-2770-devel-all-all-j1_7.gvspkg26.3 KB 06/22/2018 Joaquín  del Cerro Murciano
